/* footer  */

footer {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-block: 20px;
    padding-block-start: 50px;
    background-color: #181b1f;
}

footer * {
    color: #c3c6ca;
}

.hotel-footer-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    width: 90vw;
    margin: auto;
    margin-bottom: 20px;
    padding: 10px;
    padding-bottom: 50px;
    border-bottom: 2px solid rgb(100, 100, 100);

}

.hotel-footer-top h2 {
    font-size: 35px;
    text-align: center;
    text-transform: uppercase;
    color: white;
    margin-bottom: 10px;
}

.hotel-footer-top input {
    font-size: 20px;
    padding: 12px 20px;
    width: 50vw;
    height: 50px;
}

.hotel-footer-top button {
    height: 50px;
    width: 70px;
    display: flex;
    border: 1px solid rgba(255, 255, 255, 0.216);
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background-color: transparent;
}

.hotel-footer-top button img {
    filter: invert();
    height: 70%;
}

.footer-input-field {
    display: flex;
    align-items: center;
    gap: 5px;

}

.hotel-footer-down {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    max-width: 90vw;
    margin: auto;
    grid-row-gap: 30px;
    padding: 10px;
    padding-bottom: 50px;
    border-bottom: 2px solid rgb(100, 100, 100);

}

.left-most-sec {
    display: flex;
    flex-direction: column;
    grid-row: 2 span;
    margin-right: 100px;

}

.left-most-sec img {
    height: 130px;
    width: fit-content;
}

.links-footer-sec {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.links-footer-sec ul li a {
    transition: .3s;
}

.links-footer-sec ul li {
    position: relative;
}

.links-footer-sec ul li a:hover {
    color: white;
}

.links-footer-sec ul {
    display: flex;
    gap: 10px;
    flex-direction: column;
}

.links-footer-sec h3 {
    color: white;
    font-size: 25px;
}

.social-links-footer {
    display: flex;
    gap: 15px;
}

.social-links-footer a img {
    width: 30px;
    position: relative;
}

.supports-sec-down {
    display: flex;
    gap: 30px;
    grid-column: 3 span;
}

.supports-sec-down h3 {
    font-size: 25px;
}

.hotel-powered-by {
    width: 90vw;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 25px;
    padding-top: 10px;
}

.hotel-powered-by p {
    width: fit-content;
}

@media(max-width:1200px) {
    .left-most-sec img {
        height: 180px;
    }

    .left-most-sec {
        margin-right: 80px;
    }
}

@media(max-width:1100px) {
    .hotel-footer-down {
        padding: 0;
        padding-bottom: 50px;
    }

    .hotel-footer-top h2 {
        font-size: 30px;
    }

    .hotel-footer-top input {
        height: 45px;
        font-size: 16px;
    }

    .hotel-footer-top button {
        height: 45px;
    }

    .left-most-sec {
        margin-right: 60px;
    }
}

@media(max-width:1000px) {
    .left-most-sec img {
        height: 150px;
    }

    .left-most-sec {
        display: flex;
        flex-direction: column;
        grid-row: 1 span;
        margin-right: 40px;
    }

    .hotel-footer-down {
        grid-row-gap: 50px;
    }

    .supports-sec-down {
        width: 100%;
    }

    .hotel-powered-by {
        text-align: center;

        flex-direction: column-reverse;

    }



}

@media(max-width:900px) {
    .hotel-footer-down {
        grid-template-columns: repeat(3, 1fr);
        /* place-items: center; */
    }

    .supports-sec-down {
        width: fit-content;
        grid-column: 2 span;
        flex-wrap: wrap;
        justify-content: center;
    }

    .hotel-footer-top h2 {
        font-size: 27px;
    }
}

@media(max-width:750px) {
    .hotel-footer-down {
        grid-template-columns: repeat(2, 1fr);
        /* place-items: center; */
    }

    .left-most-sec {
        grid-column: 2 span;
        margin: auto;
    }

    .supports-sec-down {
        grid-column: 1 span;

    }

    .left-most-sec img {
        height: auto;
        width: 65vw;
    }

    .supports-sec-down {
        justify-content: flex-start;
    }

}

@media(max-width:600px) {
    .hotel-footer-down {
        grid-template-columns: repeat(2, 1fr);
        /* place-items: center; */
    }
}

@media(max-width:500px) {
    .hotel-footer-down {
        grid-template-columns: repeat(1, 1fr);
        text-align: center;
        place-items: center;

    }

    .left-most-sec {
        grid-column: 1 span;
    }

    .supports-sec-down {
        justify-content: center;
    }

    .hotel-footer-top h2 {
        font-size: 25px;
    }
}

.facebook-icon {
    scale: .9;
    transform: translateY(-2px);
}